Subject: Re: git svn rebase problem

From: "David H. Lynch J.r" <[email-masked]>
Date: Mon, 18 May 2009 10:06:22 -0400

>2009/5/16 Avery Pennarun <apenwarr@xxxxxxxxx>:
>>/ On Fri, May 15, 2009 at 5:21 PM, David H. Lynch J.r <ml@xxxxxxxxxx> wrote:/
>>/> A few days ago I did an/
>>/> git svn rebase/
>>/>/
>>/> The rebase took a while and after it completed reported/
>>/> fatal: bad object HEAD/
>
>We had this come up about once a week when using http as the
>transport.  After switching most people over to ssh the problems
>disappeared.  We never managed to find out why.

	I am using an ssh link

>/> git status reports/
>/> root@hp-dhlii:/usr/src/pico/git# git status/
>/> # Not currently on any branch./
>/> fatal: bad object HEAD/
>/>/
>/> and git fsck reports/
>/> root@hp-dhlii:/usr/src/pico/git# git fsck/
>/> dangling blob eb3afb4aa3aaf0003bac601a5db4fd76aafa2a87/
>/> dangling commit 5c496db25007c17c325f294bb8324097c9bc407d/
>/>/
>/> How can I recover without downloading the entire repository again which/
>/> could take days?/
>
>/ I don't know how this would happen; it would be great if you could/
>/ find reproduction steps and send them in, or if you had the complete/
>/ git rebase log, some of which probably explains the problem.
Aparently I can reproduce this. I have a git repository that is about a year old.
I have made a local copy of it, and tried to run git svn update on it.
After downloading tons of commits it fails in the same way.

if there a way to do a step by step git svn rebase - somethng vaguely like git bisect - some way to zero in on the commit that is screwing things up ?

Or some way to get a log from the rebase AFTER the repository has become trashed

/>
>/ You can probably recover your pre-rebased repository using 'git/
>/ reflog'.

git reflog replies
fatal error bad HEAD
  
> Look through the reflog to find the commit you want, then do/
>/ something like/
>
>/    git checkout whatever-the-commit-id-was-that-you-got-from-git-reflog/
>
>/ and then optionally/
>
>/    git checkout -b master/
>
>/ Good luck./
>
>/ Avery/
>/ --/
>/ To unsubscribe from this list: send the line "unsubscribe git" in/
>/ the body of a message to majordomo@xxxxxxxxxxxxxxx/
>/ More majordomo info at  http://vger.kernel.org/majordomo-info.html/
>
--
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html